Subject: Re: [PATCH 0/3] rebase -r: a bugfix and two status-related improvements

From: Phillip Wood <[email-masked]>
Date: Mon, 31 Mar 2025 16:38:58 +0100

Hi Philippe

On 28/03/2025 17:03, Philippe Blain via GitGitGadget wrote:
> Hi,
> 
> this series started as only 3/3, which I wrote when I noticed that 'git
> status' suggested 'git commit' instead of 'git rebase --continue' to
> conclude a merge, and doing that I lost the original authorship of the merge
> commit.
> 
> 2/3 is a small improvement I noticed along the way, and while testing these
> I discovered the bug which I fix in 1/3. I guess 1/3 could go in a different
> series, if we prefer, but for simplicity I'm submitting them together.

Thanks for working on this. I've left some comments but the fundamentals 
of this series look sound.

Best Wishes

Phillip

> Philippe Blain (3):
>    rebase -r: do create merge commit after empty resolution
>    wt-status: also abbreviate 'merge' and 'fixup -C' lines during rebase
>    wt-status: suggest 'git rebase --continue' to conclude 'merge'
>      instruction
> 
>   sequencer.c                |  3 +-
>   t/t3418-rebase-continue.sh | 24 ++++++++++++
>   t/t7512-status-help.sh     | 75 ++++++++++++++++++++++++++++++++++++++
>   wt-status.c                | 49 ++++++++++++++++++-------
>   wt-status.h                |  1 +
>   5 files changed, 138 insertions(+), 14 deletions(-)
> 
> 
> base-commit: 683c54c999c301c2cd6f715c411407c413b1d84e
> Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-1897%2Fphil-blain%2Fstatus-abbreviate-merge-v1
> Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-1897/phil-blain/status-abbreviate-merge-v1
> Pull-Request: https://github.com/gitgitgadget/git/pull/1897